توثيق API محسّن الصور#
© Ideal House ذكاء اصطناعي — جميع الحقوق محفوظة.
URL الأساسي:
https://api.ideal.house
الإصدار: v1
آخر تحديث: 2026-04-17
نظرة عامة#
يتيح لك API محسّن الصور تعزيز صور العقارات بشكل غير متزامن من خلال اختيار presetId، أو توفير prompt مخصص، أو الجمع بينهما.
نموذج الطلب الحالي:
presetIdاختياري.promptاختياري.- لا يمكن أن يكون كل من
presetIdوpromptفارغًا في آن واحد. يجب توفير أحدهما على الأقل. - استخدم
imageUrlكحقل إدخال الصورة الوحيد. - يدعم
imageUrlكلاً من تنسيقات الصورة الواحدة والصورة المتعددة.
سير العمل:
- استدعاء نقطة نهاية الإنشاء والحصول على
taskId. - استعلم عن نتيجة نقطة النهاية باستخدام
taskIdذلك. - اقرأ URL الصورة المُولّدة بعد نجاح المهمة.
المصادقة#
يجب أن تتضمن جميع طلبات API مفتاح API الخاص بك في رأس الطلب.
| الرأس | مطلوب | الوصف |
|---|---|---|
APIKEY | نعم | مفتاح مصادقة API الخاص بك |
Content-Type | نعم | application/json لطلبات POST |
الأرصدة#
تُخصم 10 أرصدة عند إنشاء كل مهمة بنجاح. إذا فشلت المهمة لاحقًا، تُعاد الأرصدة تلقائيًا.
لقواعد الأرصدة، راجع مرجع خصم الأرصدة.
نقاط النهاية#
1. إنشاء مهمة#
إنشاء مهمة جديدة لتعزيز الصورة.
نقطة النهاية
POST /api/v1/photoEnhancer/generate
جسم الطلب
| الحقل | النوع | مطلوب | الوصف |
|---|---|---|---|
presetId | string | لا | قيمة طلب إعداد مسبق اختيارية. اختر واحدًا من مرجع الإعدادات المسبقة. |
imageUrl | string | array<string> | نعم | إدخال الصورة. يدعم نص URL واحد، أو مصفوفة URL مثل ["https://a.jpg", "https://b.jpg"]. |
prompt | string | لا | نص التوجيه النصي مخصص اختياري. |
imageSize | string | لا | حجم الإخراج الاختياري. القيم المدعومة: 512، 1K، 2K، 4K. إذا تم حذفه لطلبات API، فإن الخادم يستخدم 4K كقيمة افتراضية. |
متطلبات الصورة: يجب أن تستخدم كل صورة مدخلة JPG/JPEG أو PNG أو WebP. يجب ألا يتجاوز حجم كل صورة 20 MB، وأن تكون الأبعاد من 128 × 128 بكسل إلى 6,000 × 6,000 بكسل (ضمنيًا). تتم تصغير الصور التي تتجاوز أبعاد البكسل القصوى تلقائيًا بشكل متناسب لتناسب حدود 6,000 × 6,000 بكسل قبل المعالجة. يجب أن تكون URLs الصور قابلة للوصول مباشرة من قبل خادم API.
صيغة imageUrl
صورة واحدة:
{
"imageUrl": "https://example.com/room.jpg"
}
صور متعددة:
{
"imageUrl": [
"https://example.com/room_1.jpg",
"https://example.com/room_2.jpg"
]
}
ملاحظات السلوك
imageUrlهو حقل صورة الطلب الوحيد لـ API هذا.- يمكن حذف
presetId. - يمكن حذف
prompt. - لا يمكن أن يكون كل من
presetIdوpromptفارغًا في آن واحد. يجب توفير أحدهما على الأقل. - إذا كان
imageUrlنص URL عاديًا، تستخدم المهمة صورة واحدة. - إذا كانت
imageUrlمصفوفة، يقوم الخادم بتحليلها إلى قائمة صور داخلية. hdr-merge-hdr-mergeهو إعداد مسبق المصمم للصور المتعددة.- تنتج الصور المتعددة أفضل النتائج عمومًا فقط مع
hdr-merge-hdr-merge. - قيم
presetIdالأخرى غير مصممة لإنشاء نتيجة انطلاقًا من صور متعددة. إذا أرسلت عدة صور معها، فقد لا تكون النتيجة جيدة. يُنصح بإدخال صورة واحدة.
أمثلة على الطلب#
cURL
# Single image example
curl -X POST "https://api.ideal.house/api/v1/photoEnhancer/generate" \
-H "APIKEY: your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"imageUrl": "https://example.com/exterior.jpg",
"presetId": "virtual-twilight-warm-sunset-twilight",
"imageSize": "4K"
}'
# HDR Merge example - multi-image input
curl -X POST "https://api.ideal.house/api/v1/photoEnhancer/generate" \
-H "APIKEY: your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"imageUrl": [
"https://example.com/interior_under.jpg",
"https://example.com/interior_mid.jpg",
"https://example.com/interior_over.jpg"
],
"presetId": "hdr-merge-hdr-merge",
"imageSize": "4K"
}'
# Prompt-only example
curl -X POST "https://api.ideal.house/api/v1/photoEnhancer/generate" \
-H "APIKEY: your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"imageUrl": "https://example.com/interior.jpg",
"prompt": "Brighten the room, keep the lighting natural, and make the image listing-ready.",
"imageSize": "4K"
}'
Java (OkHttp)
import okhttp3.*;
import java.io.IOException;
public class PhotoEnhancerApiExample {
private static final String BASE_URL = "https://api.ideal.house";
private static final String API_KEY = "your_api_key_here";
public static void main(String[] args) throws IOException {
OkHttpClient client = new OkHttpClient();
// Single image example
String requestBody = """
{
"imageUrl": "https://example.com/exterior.jpg",
"presetId": "virtual-twilight-warm-sunset-twilight",
"imageSize": "4K"
}
""";
// HDR Merge example - multi-image input
// String requestBody = """
// {
// "imageUrl": [
// "https://example.com/interior_under.jpg",
// "https://example.com/interior_mid.jpg",
// "https://example.com/interior_over.jpg"
// ],
// "presetId": "hdr-merge-hdr-merge",
// "imageSize": "4K"
// }
// """;
// Prompt-only example
// String requestBody = """
// {
// "imageUrl": "https://example.com/interior.jpg",
// "prompt": "Brighten the room, keep the lighting natural, and make the image listing-ready.",
// "imageSize": "4K"
// }
// """;
Request request = new Request.Builder()
.url(BASE_URL + "/api/v1/photoEnhancer/generate")
.addHeader("APIKEY", API_KEY)
.addHeader("Content-Type", "application/json")
.post(RequestBody.create(requestBody, MediaType.parse("application/json")))
.build();
try (Response response = client.newCall(request).execute()) {
System.out.println("Response: " + response.body().string());
}
}
}
Python (requests)
import requests
BASE_URL = "https://api.ideal.house"
API_KEY = "your_api_key_here"
headers = {
"APIKEY": API_KEY,
"Content-Type": "application/json"
}
# Single image example
payload = {
"imageUrl": "https://example.com/interior.jpg",
"presetId": "image-optimization-full-correction-suite",
"prompt": "Keep the result natural and listing-ready."
}
# HDR Merge example - multi-image input
# payload = {
# "imageUrl": [
# "https://example.com/interior_under.jpg",
# "https://example.com/interior_mid.jpg",
# "https://example.com/interior_over.jpg"
# ],
# "presetId": "hdr-merge-hdr-merge",
# "imageSize": "4K"
# }
# Prompt-only example
# payload = {
# "imageUrl": "https://example.com/interior.jpg",
# "prompt": "Brighten the room, keep the lighting natural, and make the image listing-ready.",
# "imageSize": "4K"
# }
response = requests.post(
f"{BASE_URL}/api/v1/photoEnhancer/generate",
headers=headers,
json=payload
)
data = response.json()
task_id = data.get("data")
print(f"Task ID: {task_id}")
Node.js (axios)
const axios = require('axios');
const BASE_URL = 'https://api.ideal.house';
const API_KEY = 'your_api_key_here';
async function createPhotoEnhancerTask() {
try {
const response = await axios.post(
`${BASE_URL}/api/v1/photoEnhancer/generate`,
{
imageUrl: 'https://example.com/interior.jpg',
presetId: 'image-quality-correction-ai-photo-sharpening',
imageSize: '4K'
// HDR Merge example - multi-image input:
// imageUrl: [
// 'https://example.com/interior_under.jpg',
// 'https://example.com/interior_mid.jpg',
// 'https://example.com/interior_over.jpg'
// ],
// presetId: 'hdr-merge-hdr-merge',
// imageSize: '4K'
// Prompt-only example:
// imageUrl: 'https://example.com/interior.jpg',
// prompt: 'Brighten the room, keep the lighting natural, and make the image listing-ready.',
// imageSize: '4K'
},
{
headers: {
'APIKEY': API_KEY,
'Content-Type': 'application/json'
}
}
);
console.log('Task ID:', response.data.data);
} catch (error) {
console.error('Error:', error.response?.data || error.message);
}
}
createPhotoEnhancerTask();
استجابة النجاح
{
"code": 0,
"message": "success",
"data": 1234567890123456789
}
| الحقل | النوع | الوصف |
|---|---|---|
code | integer | يعني 0 نجاح |
message | string | رسالة الاستجابة |
data | long | معرف المهمة المُولّد |
2. استرداد نتيجة المهمة#
الحصول على حالة المهمة الحالية وإخراجها.
نقطة النهاية
GET /api/v1/photoEnhancer/result
معاملات الاستعلام
| المعامل | النوع | مطلوب | الوصف |
|---|---|---|---|
taskId | long | نعم | معرف المهمة المعاد من نقطة نهاية الإنشاء |
أمثلة على الطلب#
cURL
curl -X GET "https://api.ideal.house/api/v1/photoEnhancer/result?taskId=1234567890123456789" \
-H "APIKEY: your_api_key_here"
Java (OkHttp)
import okhttp3.*;
import java.io.IOException;
public class PhotoEnhancerResultExample {
private static final String BASE_URL = "https://api.ideal.house";
private static final String API_KEY = "your_api_key_here";
public static void main(String[] args) throws IOException {
OkHttpClient client = new OkHttpClient();
long taskId = 1234567890123456789L;
Request request = new Request.Builder()
.url(BASE_URL + "/api/v1/photoEnhancer/result?taskId=" + taskId)
.addHeader("APIKEY", API_KEY)
.get()
.build();
try (Response response = client.newCall(request).execute()) {
System.out.println("Response: " + response.body().string());
}
}
}
Python (requests)
import requests
import time
BASE_URL = "https://api.ideal.house"
API_KEY = "your_api_key_here"
headers = {
"APIKEY": API_KEY
}
task_id = 1234567890123456789
while True:
response = requests.get(
f"{BASE_URL}/api/v1/photoEnhancer/result",
headers=headers,
params={"taskId": task_id}
)
data = response.json()
result = data.get("data", {})
status = result.get("status")
print(f"Status: {status}, Progress: {result.get('percentage')}%, Queue: {result.get('waitNumber')}")
if status in ("Success", "Failed"):
break
time.sleep(3)
if status == "Success":
print("Result URL:", result["output"]["resultUrl"])
else:
print("Task failed")
Node.js (axios)
const axios = require('axios');
const BASE_URL = 'https://api.ideal.house';
const API_KEY = 'your_api_key_here';
async function pollResult(taskId) {
const headers = { 'APIKEY': API_KEY };
while (true) {
const response = await axios.get(
`${BASE_URL}/api/v1/photoEnhancer/result`,
{
headers,
params: { taskId }
}
);
const result = response.data.data;
const { status, percentage, waitNumber } = result;
console.log(`Status: ${status} | Progress: ${percentage}% | Queue: ${waitNumber}`);
if (['Success', 'Failed'].includes(status)) {
if (status === 'Success') {
console.log('Result URL:', result.output.resultUrl);
console.log('Size:', result.output.width, 'x', result.output.height);
} else {
console.log('Task failed');
}
break;
}
await new Promise(resolve => setTimeout(resolve, 3000));
}
}
pollResult(1234567890123456789n);
مثال الاستجابة
{
"code": 0,
"message": "success",
"data": {
"id": 1234567890123456789,
"status": "Success",
"waitNumber": 0,
"percentage": 100,
"input": {
"imageUrl": [
"https://example.com/interior_under.jpg",
"https://example.com/interior_mid.jpg",
"https://example.com/interior_over.jpg"
],
"imageUrls": [
"https://example.com/interior_under.jpg",
"https://example.com/interior_mid.jpg",
"https://example.com/interior_over.jpg"
],
"prompt": "Keep the result natural and listing-ready.",
"presetId": "hdr-merge-hdr-merge",
"imageSize": "4K",
"isApiCall": true,
"modelType": "Pro",
"model": "NanoBanana"
},
"output": {
"resultUrl": "https://cdn.ideal.house/output/photo_enhancer_result.jpg",
"width": 3840,
"height": 2880
}
}
}
حقول الاستجابة
| الحقل | النوع | الوصف |
|---|---|---|
id | long | معرّف المهمة الفريد |
status | string | حالة المهمة الحالية |
waitNumber | integer | عدد المهام المنتظرة قبل هذه المهمة |
percentage | integer | تقدم المهمة من 0 إلى 100 |
input | object | بيانات الطلب الأصلية المخزنة مع المهمة |
input.imageUrl | string | array<string> | قيمة الطلب الأصلية المرسلة من العميل |
input.imageUrls | array<string> | قائمة صور داخلية معيارية من قبل الخادم |
input.prompt | string | نص التوجيه النصي مخصص اختياري |
input.presetId | string | null | قيمة طلب إعداد مسبق اختيارية |
input.imageSize | string | حجم الصورة المطلوب. القيم المدعومة: 512، 1K، 2K، 4K |
output | object | null | كائن الإخراج عند نجاح المهمة |
output.resultUrl | string | URL الصورة النهائية |
output.width | integer | عرض الإخراج بالبكسل |
output.height | integer | ارتفاع الإخراج بالبكسل |
حالة المهمة#
| الحالة | الوصف |
|---|---|
Unprocessed | تم إنشاء المهمة ولكن لم تبدأ بعد |
Processing | المهمة قيد التشغيل حاليًا |
Success | انتهت المهمة بنجاح |
Failed | فشلت المهمة |
استعلم كل 3-5 ثوانٍ. اطّلِع على حد مهمات API.
مرجع الإعدادات المسبقة#
الملخص:
- الفئات العامة:
11 - الإعدادات العامة من التكوين:
136 - إعداد API إضافي:
1 - إجمالي قيم الطلب الموثقة:
137 - حقل الطلب:
presetId
إعداد API إضافي#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) | ملاحظات |
|---|---|---|
HDR Merge | hdr-merge-hdr-merge | موصى به لإدخال متعدد الصور مثل دمج صور ملتقطة بدرجات تعريض مختلفة |
Image Optimization (image-optimization)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
Full Correction Suite | image-optimization-full-correction-suite |
Real Estate Photo Editing | image-optimization-real-estate-photo-editing |
MLS Photo Enhancement | image-optimization-mls-photo-enhancement |
Single Exposure Editing | image-optimization-single-exposure-editing |
Social Media Photo Optimization | image-optimization-social-media-photo-optimization |
Glare and Reflection Reduction | image-optimization-glare-and-reflection-reduction |
Exposure Balancing | image-optimization-exposure-balancing |
Image Quality & Correction (image-quality-correction)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
360 VR Enhanced Tour | image-quality-correction-360-vr-enhanced-tour |
AI Photo Sharpening | image-quality-correction-ai-photo-sharpening |
Real Estate Photo Editing | image-quality-correction-real-estate-photo-editing |
Compression Artifact Fix | image-quality-correction-compression-artifact-fix |
Lens Distortion Correction | image-quality-correction-lens-distortion-correction |
Image Upscaling | image-quality-correction-image-upscaling |
Noise Reduction | image-quality-correction-noise-reduction |
Perspective Correction | image-quality-correction-perspective-correction |
Auto Crop & Straighten | image-quality-correction-auto-crop-straighten |
Chromatic Aberration Fix | image-quality-correction-chromatic-aberration-fix |
Vignette Removal | image-quality-correction-vignette-removal |
MLS Photo Resize | image-quality-correction-mls-photo-resize |
Exterior Enhancement (exterior-enhancement)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
Drone & Aerial | exterior-enhancement-drone-aerial |
Driveway | exterior-enhancement-driveway |
Curb Appeal | exterior-enhancement-curb-appeal |
Exterior Color | exterior-enhancement-exterior-color |
Exterior Photo | exterior-enhancement-exterior-photo |
Lawn & Yard | exterior-enhancement-lawn-yard |
Pool | exterior-enhancement-pool |
Fence & Gate | exterior-enhancement-fence-gate |
Landscaping | exterior-enhancement-landscaping |
Roof | exterior-enhancement-roof |
Interior Enhancement (interior-enhancement)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
Window Pull | interior-enhancement-window-pull |
Occupied to Vacant | interior-enhancement-occupied-to-vacant |
Enhance Hardwood Floors Photo | interior-enhancement-enhance-hardwood-floors-photo |
Interior Photo | interior-enhancement-interior-photo |
Flash Ambient Blending Real Estate | interior-enhancement-flash-ambient-blending-real-estate |
Ceiling Light & Hot Spot Fix | interior-enhancement-ceiling-light-hot-spot-fix |
Lighting, Color & Exposure (lighting-color-exposure)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
Balance Highlight Shadow Real Estate | lighting-color-exposure-balance-highlight-shadow-real-estate |
Brighten Dark Interior Photo | lighting-color-exposure-brighten-dark-interior-photo |
Brighten Dark Real Estate Photo | lighting-color-exposure-brighten-dark-real-estate-photo |
Brightness Enhancer | lighting-color-exposure-brightness-enhancer |
Cozy Warm Interior Editing | lighting-color-exposure-cozy-warm-interior-editing |
Enhance Brightness Of Photo | lighting-color-exposure-enhance-brightness-of-photo |
Enhance Natural Light Interior | lighting-color-exposure-enhance-natural-light-interior |
Exposure Balancing | lighting-color-exposure-exposure-balancing |
Mixed Lighting Fix | lighting-color-exposure-mixed-lighting-fix |
Flat Photo Contrast Fix | lighting-color-exposure-flat-photo-contrast-fix |
Fluorescent Light Color Fix | lighting-color-exposure-fluorescent-light-color-fix |
How To Brighten Dark Photos | lighting-color-exposure-how-to-brighten-dark-photos |
Contrast Enhancement | lighting-color-exposure-contrast-enhancement |
Increase Brightness Listing Photo | lighting-color-exposure-increase-brightness-listing-photo |
Interior Exposure Balancing | lighting-color-exposure-interior-exposure-balancing |
Lift Dark Shadows Real Estate | lighting-color-exposure-lift-dark-shadows-real-estate |
Overexposed Window Fix | lighting-color-exposure-overexposed-window-fix |
Color Correction | lighting-color-exposure-color-correction |
Highlight Recovery | lighting-color-exposure-highlight-recovery |
Shadow Recovery | lighting-color-exposure-shadow-recovery |
Reduce Highlights In My Image To Balance Exposure | lighting-color-exposure-reduce-highlights-in-my-image-to-balance-exposure |
Color Cast Removal | lighting-color-exposure-color-cast-removal |
Tungsten Daylight Mix Correction | lighting-color-exposure-tungsten-daylight-mix-correction |
Warm Tone Enhancement | lighting-color-exposure-warm-tone-enhancement |
Cool Tone Enhancement | lighting-color-exposure-cool-tone-enhancement |
White Balance Fix Interior Photo | lighting-color-exposure-white-balance-fix-interior-photo |
Turn On Lights | lighting-color-exposure-turn-on-lights |
Vibrance & Saturation Boost | lighting-color-exposure-vibrance-saturation-boost |
Natural Light Enhancement | lighting-color-exposure-natural-light-enhancement |
Sky Replacement (sky-replacement)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
Blue Sky / Clear Sky | sky-replacement-blue-sky-clear-sky |
Sunrise Sky | sky-replacement-sunrise-sky |
Cloudy Sky | sky-replacement-cloudy-sky |
Partly Cloudy | sky-replacement-partly-cloudy |
Dramatic Clouds | sky-replacement-dramatic-clouds |
Sunset Sky | sky-replacement-sunset-sky |
Soft Sunset | sky-replacement-soft-sunset |
Dramatic Sunset | sky-replacement-dramatic-sunset |
Luxury Sunset Tones | sky-replacement-luxury-sunset-tones |
Fix Gray Sky Real Estate | sky-replacement-fix-gray-sky-real-estate |
Golden Hour Sky | sky-replacement-golden-hour-sky |
Night Sky / Starry Sky | sky-replacement-night-sky-starry-sky |
Sky Replacement | sky-replacement-sky-replacement |
Virtual Twilight (virtual-twilight)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
Bright Marketing Twilight | virtual-twilight-bright-marketing-twilight |
Day To Dusk Photo Conversion | virtual-twilight-day-to-dusk-photo-conversion |
Deep Blue Twilight | virtual-twilight-deep-blue-twilight |
Light Subtle Twilight | virtual-twilight-light-subtle-twilight |
Luxury Twilight | virtual-twilight-luxury-twilight |
Midnight Blue Twilight | virtual-twilight-midnight-blue-twilight |
Warm Sunset Twilight | virtual-twilight-warm-sunset-twilight |
Weather & Seasonal Editing (weather-seasonal-editing)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
Golden Hour | weather-seasonal-editing-golden-hour |
Blue Hour | weather-seasonal-editing-blue-hour |
Haze & Fog Removal | weather-seasonal-editing-haze-fog-removal |
Harsh Sunlight & Shadow Fix | weather-seasonal-editing-harsh-sunlight-shadow-fix |
Overcast To Sunny | weather-seasonal-editing-overcast-to-sunny |
Rain & Wet Weather Fix | weather-seasonal-editing-rain-wet-weather-fix |
Spring Enhancement | weather-seasonal-editing-spring-enhancement |
Summer Enhancement | weather-seasonal-editing-summer-enhancement |
Night to Day | weather-seasonal-editing-night-to-day |
Fall Foliage | weather-seasonal-editing-fall-foliage |
Snow / Winter Conditions | weather-seasonal-editing-snow-winter-conditions |
Full Season Change / Season Swap | weather-seasonal-editing-full-season-change-season-swap |
Snow Removal | weather-seasonal-editing-snow-removal |
Holiday Decorations (holiday-decorations)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
Christmas Exterior | holiday-decorations-christmas-exterior |
Christmas Interior | holiday-decorations-christmas-interior |
Easter Exterior | holiday-decorations-easter-exterior |
Easter Interior | holiday-decorations-easter-interior |
Halloween Exterior | holiday-decorations-halloween-exterior |
Halloween Interior | holiday-decorations-halloween-interior |
New Year Exterior | holiday-decorations-new-year-exterior |
New Year Interior | holiday-decorations-new-year-interior |
Thanksgiving Dining Room | holiday-decorations-thanksgiving-dining-room |
Thanksgiving Exterior | holiday-decorations-thanksgiving-exterior |
Thanksgiving Interior | holiday-decorations-thanksgiving-interior |
Fourth of July / Independence Day | holiday-decorations-fourth-of-july-independence-day |
Hanukkah Interior | holiday-decorations-hanukkah-interior |
Spring / Ramadan Decorations | holiday-decorations-spring-ramadan-decorations |
Valentine's Day Bedroom | holiday-decorations-valentine-s-day-bedroom |
Valentine's Day Exterior | holiday-decorations-valentine-s-day-exterior |
Valentine's Day Interior | holiday-decorations-valentine-s-day-interior |
Fire in Fireplace (fire-in-fireplace)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
Add Fire To Fireplace | fire-in-fireplace-add-fire-to-fireplace |
Bright Marketing Fire | fire-in-fireplace-bright-marketing-fire |
Modern Clean Fire | fire-in-fireplace-modern-clean-fire |
Subtle Natural Fire | fire-in-fireplace-subtle-natural-fire |
Traditional Cozy Fire | fire-in-fireplace-traditional-cozy-fire |
Vibrant Showcase Fire | fire-in-fireplace-vibrant-showcase-fire |
Object & Element Specific (object-element-specific)#
| اسم الإعداد المسبق بالإنجليزية | قيمة الطلب (presetId) |
|---|---|
Crack & Wall Repair | object-element-specific-crack-wall-repair |
Floor Reflection Real Estate | object-element-specific-floor-reflection-real-estate |
People & Pet Removal | object-element-specific-people-pet-removal |
Trash Can Removal | object-element-specific-trash-can-removal |
Remove Cars | object-element-specific-remove-cars |
Clutter Removal | object-element-specific-clutter-removal |
Date Stamp Removal | object-element-specific-date-stamp-removal |
Sign Removal | object-element-specific-sign-removal |
Glare Removal | object-element-specific-glare-removal |
Mirror Reflection Fix | object-element-specific-mirror-reflection-fix |
Remove Power Lines | object-element-specific-remove-power-lines |
Stain Removal | object-element-specific-stain-removal |
Watermark Removal | object-element-specific-watermark-removal |
Window Reflection Removal | object-element-specific-window-reflection-removal |
TV Screen Fix | object-element-specific-tv-screen-fix |
Wire & Cable Removal | object-element-specific-wire-cable-removal |
استجابات الخطأ#
جميع الأخطاء تستخدم هذا الهيكل:
{
"code": 5002,
"message": "Invalid API Key",
"data": null
}
| الرمز | الاسم | الوصف |
|---|---|---|
1001 | FAILED | فشل عام في الطلب |
1003 | INTERNAL_ERROR | خطأ داخلي في الخادم |
1011 | PARAM_ERROR | معلمة طلب مفقودة أو غير صالحة |
5002 | API_KEY_INVALID | مفتاح API غير صالح أو مفقود |
9010 | SCAN_TEXT_ERROR | فشل مراجعة نص التوجيه النصي |
9038 | PROHIBITED_CONTENT | تم رفض محتوى الصورة المُولّدة |
9051 | COINS_NOT_ENOUGH | رصيد غير كافٍ |
للقائمة الكاملة للأخطاء الشائعة، راجع مرجع رموز الأخطاء.